<!DOCTYPE HTML>
<%@page contentType="text/html; charset=utf-8"%>
<%@taglib prefix="decorator" uri="http://www.opensymphony.com/sitemesh/decorator" %>
<%@taglib prefix="page" uri="http://www.opensymphony.com/sitemesh/page" %>
<%@taglib prefix="s" uri="/struts-tags" %>

<html>
	<head>
		<!-- Per raons de desenvolupament deshabilitem la cache del browser comentar les línes en productiu -->
		<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
		<meta http-equiv="Pragma" content="no-cache">
		<meta http-equiv="Expires" content="0">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title><s:text name="global.name.store"/></title>
		<!-- CSS -->
		<link rel="stylesheet" type="text/css" href="<s:url value='/front/resources/css/reset.css'/>" media="screen" />
		<link rel="stylesheet" type="text/css" href="<s:url value='/front/resources/css/global.css'/>" media="screen" />
		<!-- JS -->
		<!--<script src="//code.jquery.com/jquery-1.7.2.min.js"></script>-->
		<script type="text/javascript" src="<s:url value='/front/resources/js/jquery-1.4.2.min.js'/>"></script>
		<script type="text/javascript" src="<s:url value='/front/resources/js/selya.js'/>"></script>
		<script type="text/javascript" src="<s:url value='/front/resources/js/cloud-carousel.1.0.5.custom.js'/>"></script>
		<script type="text/javascript" src="<s:url value='/front/resources/js/jquery-ui-1.8.20.custom.js'/>"></script>
	</head>
	<script type="text/javascript">
		$(document).ready(function(){
				var heightEsq = $('div.lateral-esquerra').height();
				var heightCentr = $('div.body').height();
				if(heightEsq < heightCentr){
					$('div.lateral-esquerra').height($('div.body').height());
					}
			});
	</script>
	<body>
		<s:include value="/front/jsp/global/header.jsp"/>
		<s:include value="/front/jsp/global/menu_lateral.jsp"/>
		<div class="body">
			<decorator:body/>
		</div>
		<div class="lateralDret">
			<s:include value="/front/jsp/global/login.jsp"/>
			<s:include value="/front/jsp/carreto/side_cart.jsp"/>
		</div>
		<div class="footer">
			<s:a action="confidencialitat" namespace="/" cssStyle="padding-left:8em;"><s:text name="front.confidencialitat.label"/></s:a>
			<s:a action="condicions_us" namespace="/" cssStyle="padding-left:1em;"><s:text name="front.condicions.us.label"/></s:a>
			<s:a action="contact" namespace="/contacta" cssStyle="padding-left:1em;"><s:text name="front.home.menu.contacte"/></s:a>
			<s:a action="sitemap" namespace="/" cssStyle="padding-left:1em;"><s:text name="selya.front.sitemap"/></s:a>
			<a href="http://selyabisuteriartesanal.blogspot.com" target="_blank" style="padding-left:1em;"><s:text name="front.blog"/></a>
			<br/><br/>
			<span style="padding-left:11em"><s:text name="selya.front.copyright"></s:text></span>
		</div>
	</body>
</html>
