<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	
	<body>
		<div class="container">
			<s:if test="comandes != null && comandes.size() >0">
				<h1><s:text name="back.home.comandes"/></h1>
				<table class="producteTable">
					<tr>
						<th><s:property value="getText('back.home.comandes.table.id')" /></th>
						<th><s:property value="getText('back.home.comandes.table.data')" /></th>
						<th><s:property value="getText('back.home.comandes.table.import')" /></th>
						<th><s:property value="getText('back.home.comandes.table.usuari')" /></th>
					</tr>
					<s:iterator value="comandes" var="carreto">
						<tr>
							<td><s:a action="edit/%{id}" namespace="/backoffice/comandes"><s:property value="%{id}" /></s:a></td>
							<td><s:a action="edit/%{id}" namespace="/backoffice/comandes"><s:property value="%{dataModificacio}" /></s:a></td>
							<td><s:a action="edit/%{id}" namespace="/backoffice/comandes"><s:property value="#carreto.getPreuCarreto()" />€</s:a></td>
							<td><s:a action="edit/%{id}" namespace="/backoffice/comandes"><s:property value="%{usuaris.usuari}" /></s:a></td>
						</tr>
					</s:iterator>
				</table>
			</s:if>
			
			<s:if test="comentaris != null && comentaris.size() >0">
				<h1><s:text name="back.home.comentari"/></h1>
				<table class="taulaComentaris">
					<tr>
						<th><s:property value="getText('back.home.comentaris.table.id')" /></th>
						<th><s:property value="getText('back.home.comentaris.table.data')" /></th>
						<th><s:property value="getText('back.home.comentaris.table.producte')" /></th>
						<th><s:property value="getText('back.home.comentaris.table.username')" /></th>
					</tr>
					<s:iterator value="comentaris">
						<tr>
							<td><s:a action="edit/%{id}" namespace="/backoffice/comentaris"><s:property value="%{id}" /></s:a></td>
							<td><s:a action="edit/%{id}" namespace="/backoffice/comentaris"><s:property value="%{data}" /></s:a></td>
							<td><s:a action="edit/%{id}" namespace="/backoffice/comentaris"><s:property value="%{producte.ref}" /></s:a></td>
							<td><s:a action="edit/%{id}" namespace="/backoffice/comentaris"><s:property value="%{username}" /></s:a></td>
						</tr>
					</s:iterator>
				</table>
			</s:if>
		</div>
	</body>
</html>