<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<script type="text/javascript">
		$(document).ready(function() {
			$('#dataInici').datepicker({ dateFormat: "dd/mm/yy", autoSize: true });
			$('#dataFi').datepicker({ dateFormat: "dd/mm/yy", autoSize: true });
			
			$('#formPromocions').submit(function(){
				var error = false;
				if(jQuery.trim($('#descripcio').val()) == ""){
					$('#error').append('<s:text name="backoffice.edit.promocions.descripcio.missing"/>');
					error = true;
				}
				if(jQuery.trim($('#percentatge').val()) == ""){
					$('#error').append('<s:text name="backoffice.edit.promocions.percentatge.missing"/>');
					error = true;
				}
				if(jQuery.trim($('#dataInici').val()) == ""){
					$('#error').append('<s:text name="backoffice.edit.promocions.dataInici.missing"/>');
					error = true;
				}
				if(jQuery.trim($('#dataFi').val()) == ""){
					$('#error').append('<s:text name="backoffice.edit.promocions.dataFi.missing"/>');
					error = true;
				}
				if(error){
					errors.show();
					return false;
				}
			});
		});
	</script>
	<body>
		<div class="container">
			<div id="errors">
			</div>
			<s:form action="save" namespace="/backoffice/promocions" id="formPromocions">
				<s:hidden name="id" value="%{promocio.id}"/>
				<s:textfield key="backoffice.edit.promocio.descripcio" name="descripcio" value="%{promocio.descripcio}" id="descripcio"/>
				<s:textfield key="backoffice.edit.promocio.percentatge" name="percentatge" value="%{promocio.percentatge}" id="percentatge"/>
				<s:textfield key="backoffice.edit.promocio.dataInici" name="dataInici" value="%{promocio.dataInici}" id="dataInici"/>
				<s:textfield key="backoffice.edit.promocio.dataFi" name="dataFi" value="%{promocio.dataFi}" id="dataFi"/>
			</s:form>
			<div class="submitButtons">
				<span><a onclick="$('#formPromocions').submit()" href="#" class="buttonLike"><s:text name="back.home.global.save"/></a></span>
				<span><s:a action="list" namespace="/backoffice/colors" cssClass="buttonLike"><s:text name="back.global.cancela"/></s:a></span>
				<s:a action="delete/%{promocio.id}" namespace="/backoffice/promocions" cssClass="buttonLike"><s:property value="getText('back.home.promocions.delete')"/></s:a>
			</div>
		</div>
	</body>
</html>