<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ include file="init.jsp" %>
<div id="header">
	<s:url value='/front/resources/image/fondoestret2catalasnofondo.png' var="logo_ca"/>
	<img src="<s:property value='#logo_ca'/>">
	<div class="topMenu">
		<ul id="menu">
			<%-- HOME --%>
			<s:url value="/front/resources/image/home_icon.gif" var="homeIcon"></s:url>
		    <li class="home_bt"><a href="<s:url action='home' namespace='/' />" title="Home"><img src="<s:property value='#homeIcon'/>"/></a></li>
		    <%-- NOVETATS --%>
			<li  id="menu-novetats">
				<s:url action="novetats" namespace="/productes" var="url"/>
				<a href="<s:property value='#url'/>"><s:property value="getText('front.home.menu.novetats')" /></a>
			</li>
			<%-- CATEGORIES --%>
			<li id="menu-categories">
				<s:url action="list" namespace="/productes" var="url"/>
				<a href="<s:property value='#url'/>"><s:property value="getText('front.home.menu.productes')" /></a>
			</li>
			<%-- CONTACTE --%>
			<li  id="menu-contacte">
				<s:url action="contact" namespace="/contacta" var="url"/>
				<a href="<s:property value='#url'/>"><s:property value="getText('front.home.menu.contacte')" /></a>
			</li>
			<%-- ACCEDIR --%>
			<li  id="menu-accedir">
				<s:url action="signin" namespace="/usuari" var="url"/>
				<a href="<s:property value='#url'/>"><s:property value="getText('front.home.menu.login')" /></a>
			</li>
		</ul>
		<s:form action="cerca" namespace="/cerca" id="searchForm" theme="simple" cssStyle="float: left;width: 15em;">
			<s:textfield name="searchText"></s:textfield>
			<s:submit></s:submit>
		</s:form>
		<ul class="language">
			<li>
				<s:url action="setLanguage/ca_ES" namespace="/" var="catLanguageUrl"/>
				<s:url value='/front/resources/image/ca.gif' var="ca"/>
			    <s:a href="%{catLanguageUrl}?request_locale=ca"><img src="<s:property value='#ca'/>"/></s:a>
			</li>
			<li>
				<s:url action="setLanguage/es_ES" namespace="/" var="espLanguageUrl"/>
				<s:url value='/front/resources/image/es.gif' var="es"/>
				<s:a href="%{espLanguageUrl}?request_locale=es"><img src="<s:property value='#es'/>"/></s:a>
			</li>
			<li>
				<s:url action="setLanguage/en_GB" namespace="/" var="engLanguageUrl"/>
				<s:url value='/front/resources/image/en.jpg' var="en"/>
				<s:a href="%{engLanguageUrl}?request_locale=es"><img src="<s:property value='#en'/>"/></s:a>
			</li>
		</ul>
	</div>
</div>
<script type="text/javascript">
	$(document).ready(function(){
		$('#menu-categories').hover(function(){
			$('#submenu-categories').removeClass("submenu-categories");
			$('#submenu-categories').addClass("submenu-categories_display");
		},function(){
			$('#submenu-categories').addClass("submenu-categories");
			$('#submenu-categories').removeClass("submenu-categories_display");
		});
		$('#menu-collarets').hover(function(){
			$('#submenu-collarets').removeClass("submenu");
		},function(){
			$('#submenu-collarets').addClass("submenu");
		});
		$('#menu-bracalets').hover(function(){
			$('#submenu-bracalets').removeClass("submenu");
		},function(){
			$('#submenu-bracalets').addClass("submenu");
		});
		$('#menu-anells').hover(function(){
			$('#submenu-anells').removeClass("submenu");
		},function(){
			$('#submenu-anells').addClass("submenu");
		});
		$('#menu-arrecades').hover(function(){
			$('#submenu-arrecades').removeClass("submenu");
		},function(){
			$('#submenu-arrecades').addClass("submenu");
		});
	});
</script>