package com.selya.store.back.action;

import java.util.List;

import com.selya.store.global.action.BaseAction;
import com.selya.store.persistance.Categories;
import com.selya.store.persistance.CategoriesDAO;

public class CategoriesAction extends BaseAction {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3955456489012869388L;
	private List<Categories> categories;
	private Categories categoria;
	private int categoriaId;
	private String descripcio;
	
	private String language;
	
	@Override
	public void prepare() throws Exception {
		super.prepare();
	}
	
	@SuppressWarnings("unchecked")
	public String list(){
		
		CategoriesDAO cDAO = new CategoriesDAO();
		categories = cDAO.findAll();
		categories = getResultsByPage(categories);
		
		return SUCCESS;
	}
	
	public String edit(){
		
		CategoriesDAO cDAO = new CategoriesDAO();
		categoria = cDAO.findById(categoriaId);
		
		return SUCCESS;
	}
	
	public String save(){
		
		CategoriesDAO cDAO = new CategoriesDAO();
		if(categoriaId > 0)
			categoria = cDAO.findById(categoriaId);
		else
			categoria = new Categories();
		categoria.setDescripcio(language, descripcio);
		cDAO.save(categoria);
		
		return SUCCESS;
	}
	
	public String delete(){
		CategoriesDAO cDAO = new CategoriesDAO();
		categoria = cDAO.findById(categoriaId);
		cDAO.delete(categoria);
		
		return SUCCESS;
	}
	
	public List<Categories> getCategories() {
		return categories;
	}

	public void setCategories(List<Categories> categories) {
		this.categories = categories;
	}

	public Categories getCategoria() {
		return categoria;
	}

	public void setCategoria(Categories categoria) {
		this.categoria = categoria;
	}

	public int getCategoriaId() {
		return categoriaId;
	}

	public void setCategoriaId(int categoriaId) {
		this.categoriaId = categoriaId;
	}

	public String getDescripcio() {
		return descripcio;
	}

	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

}
