package com.selya.store.back.action;

import java.util.Date;
import java.util.List;

import com.selya.store.global.action.BaseAction;
import com.selya.store.persistance.Noticies;
import com.selya.store.persistance.NoticiesDAO;

public class NoticiesAction extends BaseAction {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -8552354872431036854L;
	private List<Noticies> noticies;
	private Noticies noticia;
	private int noticiaId;
	private String titol;
	private String entradeta;
	private String cos;
	private Date data;
	
	private String language;

	public String list(){
		NoticiesDAO noticiesDAO = new NoticiesDAO();
		noticies = noticiesDAO.findAll();
		noticies = getResultsByPage(noticies);
		return SUCCESS;
	}
	
	public String edit(){
		NoticiesDAO noticiesDAO = new NoticiesDAO();
		noticia = noticiesDAO.findById(noticiaId);
		return SUCCESS;
	}
	
	public String save(){
		NoticiesDAO noticiesDAO = new NoticiesDAO();
		if(noticiaId > 0)
			noticia = noticiesDAO.findById(noticiaId);
		else
			noticia = new Noticies();
		noticia.setTitol(language, titol);
		noticia.setEntradeta(language, entradeta);
		noticia.setNoticia(language, cos);
		noticia.setData(new Date());
		
		noticiesDAO.save(noticia);
		
		return SUCCESS;
	}
	
	public String delete(){
		NoticiesDAO noticiesDAO = new NoticiesDAO();
		noticiesDAO.delete(noticiesDAO.findById(noticiaId));
		return SUCCESS;
	}

	public List<Noticies> getNoticies() {
		return noticies;
	}

	public void setNoticies(List<Noticies> noticeis) {
		this.noticies = noticeis;
	}

	public Noticies getNoticia() {
		return noticia;
	}

	public void setNoticia(Noticies noticia) {
		this.noticia = noticia;
	}

	public int getNoticiaId() {
		return noticiaId;
	}

	public void setNoticiaId(int noticiaId) {
		this.noticiaId = noticiaId;
	}

	public String getTitol() {
		return titol;
	}

	public void setTitol(String titol) {
		this.titol = titol;
	}

	public String getEntradeta() {
		return entradeta;
	}

	public void setEntradeta(String entradeta) {
		this.entradeta = entradeta;
	}

	public String getCos() {
		return cos;
	}

	public void setCos(String cos) {
		this.cos = cos;
	}

	public Date getData() {
		return data;
	}

	public void setData(Date data) {
		this.data = data;
	}
	
	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}
}
