package com.selya.store.back.action;

import java.util.Date;
import java.util.List;

import com.selya.store.global.action.BaseAction;
import com.selya.store.persistance.Promocio;
import com.selya.store.persistance.PromocioDAO;

public class PromocionsAction extends BaseAction {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 305038516564880407L;
	private List<Promocio> promocions;
	private Promocio promocio;
	
	private int id;
	private float percentatge;
	private Date dataInici;
	private Date dataFi;
	private String descripcio;
	
	@SuppressWarnings("unchecked")
	public String list(){
		PromocioDAO promocioDAO = new PromocioDAO();
		promocions = promocioDAO.findAll();
		promocions = getResultsByPage(promocions);
		return SUCCESS;
	}
	
	public String edit(){
		PromocioDAO promocioDAO = new PromocioDAO();
		promocio = promocioDAO.findById(id);
		return SUCCESS;
	}
	
	public String save(){
		PromocioDAO promocioDAO = new PromocioDAO();
		if(id > 0)		
			promocio = promocioDAO.findById(id);
		else
			promocio = new Promocio();

		promocio.setDataFi(dataFi);
		promocio.setDataInici(dataInici);
		promocio.setDescripcio(descripcio);
		promocio.setPercentatge(percentatge);
		
		promocioDAO.save(promocio);
		
		return SUCCESS;
	}

	public List<Promocio> getPromocions() {
		return promocions;
	}

	public void setPromocions(List<Promocio> promocions) {
		this.promocions = promocions;
	}

	public Promocio getPromocio() {
		return promocio;
	}

	public void setPromocio(Promocio promocio) {
		this.promocio = promocio;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public float getPercentatge() {
		return percentatge;
	}

	public void setPercentatge(float percentatge) {
		this.percentatge = percentatge;
	}

	public Date getDataInici() {
		return dataInici;
	}

	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}
	
	public Date getDataFi() {
		return dataFi;
	}

	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}
	

	public String getDescripcio() {
		return descripcio;
	}

	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}
	
	

}
