package com.selya.store.front.action;

import java.util.List;

import com.selya.store.global.action.BaseAction;
import com.selya.store.persistance.Categories;
import com.selya.store.persistance.CategoriesDAO;
import com.selya.store.persistance.Producte;
import com.selya.store.persistance.ProducteDAO;

public class SearchAdvancedAction extends BaseAction {
	/**
	 * 
	 */
	private static final long serialVersionUID = 7436222066851691124L;
	private int categoriaId;
	private String searchText;
	private List<Producte> productes;
	private List<Categories> categories;
	
	@SuppressWarnings("unchecked")
	public String view(){
		CategoriesDAO categoriesDAO = new CategoriesDAO();
		categories = categoriesDAO.findAll();
		return SUCCESS;
	}
	
	@SuppressWarnings("unchecked")
	public String find(){
		ProducteDAO producteDAO = new ProducteDAO();
		CategoriesDAO categoriesDAO = new CategoriesDAO();
		if(categoriaId > 0)
			productes = producteDAO.searchProductes(categoriesDAO.findById(categoriaId), searchText);
		else{
			productes.addAll(producteDAO.findByTitol(searchText));
			productes.addAll(producteDAO.findByRef(searchText));
		}
		categories = categoriesDAO.findAll();
		return SUCCESS;
	}

	public int getCategoriaId() {
		return categoriaId;
	}

	public void setCategoriaId(int categoriaId) {
		this.categoriaId = categoriaId;
	}

	public String getSearchText() {
		return searchText;
	}

	public void setSearchText(String searchText) {
		this.searchText = searchText;
	}

	public List<Producte> getProductes() {
		return productes;
	}

	public void setProductes(List<Producte> productes) {
		this.productes = productes;
	}

	public List<Categories> getCategories() {
		return categories;
	}

	public void setCategories(List<Categories> categories) {
		this.categories = categories;
	}

}
