package com.selya.store.front.action;

import java.util.Iterator;
import java.util.Set;

import com.selya.store.global.action.BaseAction;
import com.selya.store.persistance.Usuaris;
import com.selya.store.persistance.UsuarisDAO;
import com.selya.store.persistance.Wishlist;

public class WishListAction extends BaseAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4955261419782767276L;
	private Set<Wishlist> productes;
	private long producteId;
	private long userId;
	
	public String list(){
		productes = getUser().getWishlists();
		return SUCCESS;
	}
	
	public String remove(){
		UsuarisDAO usuariDAO = new UsuarisDAO();
		Usuaris usuari = usuariDAO.findById(userId);
		Set<Wishlist> wishSet = usuari.getWishlists();
		Iterator<Wishlist> it = wishSet.iterator();
		while(it.hasNext()){
			Wishlist wl = it.next();
			if(wl.getProducte().getId() == producteId){
				wishSet.remove(wl);
				break;
			}
		}
		usuari.setWishlists(wishSet);
		usuariDAO.merge(usuari);
		
		return SUCCESS;
	}

	public Set<Wishlist> getProductes() {
		return productes;
	}

	public void setProductes(Set<Wishlist> productes) {
		this.productes = productes;
	}

	public long getProducteId() {
		return producteId;
	}

	public void setProducteId(long producteId) {
		this.producteId = producteId;
	}

	public long getUserId() {
		return userId;
	}

	public void setUserId(long userId) {
		this.userId = userId;
	}
	
	
}
