/**
 * Dani Martín
 *
 *
 */
package com.selya.store.global.beans;

import java.util.ArrayList;
import java.util.List;

import com.selya.store.global.utils.Globals;

/**
 * @author Dani
 *
 */
public class Language {
	
	private static List<String> languages;
	private String language;
	
	public Language(){
		setLanguages();
	}
	
	public Language(String locale){
		this.language = locale;
		
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}
	
	public void setLanguages(){
		String[] locales = Globals.getProperty("aviable.locales").split(",");
		Language.languages = new ArrayList<String>();
		for (String locale : locales) {
			Language.languages.add(locale);
		}
	}
	
	public static List<String> getLanguages(){
		return languages;
	}

}
