package com.selya.store.global.beans;

import com.selya.store.persistance.Usuaris;

public class Usuari {
	
	private long usuariId;
	private String nom;
	private String cognom1;
	private String cognom2;
	private String adreca;
	private String telefon;
	private String poblacio;
	private String provincia;
	private String pais;
	private String email;
	private String username;
	private String cp;
	
	public Usuari(Usuaris usuari){
		usuariId = usuari.getId();
		nom = usuari.getNom();
		cognom1 = usuari.getCognom1();
		cognom2 = usuari.getCognom2();
		adreca = usuari.getCarrer();
		telefon = usuari.getTelefon();
		poblacio = usuari.getPoblacio();
		provincia = usuari.getProvincia();
		pais = usuari.getPaisos().getNom();
		email = usuari.getEmail();
		username = usuari.getUsuari();
		setCp(usuari.getCp());
	}

	public Usuari(long usuariId, String nom, String cognom1, String cognom2,
			String adreca, String telefon, String poblacio, String provincia,
			String pais, String email, String username, String cp) {
		super();
		this.usuariId = usuariId;
		this.nom = nom;
		this.cognom1 = cognom1;
		this.cognom2 = cognom2;
		this.adreca = adreca;
		this.telefon = telefon;
		this.poblacio = poblacio;
		this.provincia = provincia;
		this.pais = pais;
		this.email = email;
		this.username = username;
		this.cp = cp;
	}


	public Usuari() {
	}

	public long getUsuariId() {
		return usuariId;
	}

	public void setUsuariId(long usuariId) {
		this.usuariId = usuariId;
	}

	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public String getCognom1() {
		return cognom1;
	}

	public void setCognom1(String cognom1) {
		this.cognom1 = cognom1;
	}

	public String getCognom2() {
		return cognom2;
	}

	public void setCognom2(String cognom2) {
		this.cognom2 = cognom2;
	}

	public String getAdreca() {
		return adreca;
	}

	public void setAdreca(String adreca) {
		this.adreca = adreca;
	}

	public String getTelefon() {
		return telefon;
	}

	public void setTelefon(String telefon) {
		this.telefon = telefon;
	}

	public String getPoblacio() {
		return poblacio;
	}

	public void setPoblacio(String poblacio) {
		this.poblacio = poblacio;
	}

	public String getProvincia() {
		return provincia;
	}

	public void setProvincia(String provincia) {
		this.provincia = provincia;
	}

	public String getPais() {
		return pais;
	}

	public void setPais(String pais) {
		this.pais = pais;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}


	public String getCp() {
		return cp;
	}


	public void setCp(String cp) {
		this.cp = cp;
	}

}
