package com.selya.store.persistance;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Carretoproducte entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "carretoproducte", catalog = "tfc")
public class Carretoproducte implements java.io.Serializable {

	// Fields

	/**
	 * 
	 */
	private static final long serialVersionUID = -5637069939255415623L;
	private CarretoproducteId id;
	private Producte producte;
	private String mida;
	private Carreto carreto;
	private Color color;
	private Integer quantitat;

	// Constructors

	/** default constructor */
	public Carretoproducte() {
	}

	/** full constructor */
	public Carretoproducte(CarretoproducteId id, Producte producte, String mida,
			Carreto carreto, Color color, Integer quantitat) {
		this.id = id;
		this.producte = producte;
		this.mida = mida;
		this.carreto = carreto;
		this.color = color;
		this.quantitat = quantitat;
	}

	// Property accessors
	@EmbeddedId
	@AttributeOverrides({
			@AttributeOverride(name = "carretoId", column = @Column(name = "CarretoId", nullable = false)),
			@AttributeOverride(name = "producteId", column = @Column(name = "ProducteId", nullable = false)) })
	public CarretoproducteId getId() {
		return this.id;
	}

	public void setId(CarretoproducteId id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "ProducteId", nullable = false, insertable = false, updatable = false)
	public Producte getProducte() {
		return this.producte;
	}

	public void setProducte(Producte producte) {
		this.producte = producte;
	}

	@Column(name = "Mida", nullable = false, length = 5)
	public String getMida() {
		return this.mida;
	}

	public void setMida(String mida) {
		this.mida = mida;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "CarretoId", nullable = false, insertable = false, updatable = false)
	public Carreto getCarreto() {
		return this.carreto;
	}

	public void setCarreto(Carreto carreto) {
		this.carreto = carreto;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ColorId", nullable = false)
	public Color getColor() {
		return this.color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	@Column(name = "Quantitat", nullable = false)
	public Integer getQuantitat() {
		return this.quantitat;
	}

	public void setQuantitat(Integer quantitat) {
		this.quantitat = quantitat;
	}

}