package com.selya.store.persistance;

import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Paisos entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "paisos", catalog = "tfc")
public class Paisos implements java.io.Serializable {

	// Fields

	private Integer id;
	private String nom;
	private Set<Usuaris> usuarises = new HashSet<Usuaris>(0);

	// Constructors

	/** default constructor */
	public Paisos() {
	}

	/** minimal constructor */
	public Paisos(Integer id, String nom) {
		this.id = id;
		this.nom = nom;
	}

	/** full constructor */
	public Paisos(Integer id, String nom, Set<Usuaris> usuarises) {
		this.id = id;
		this.nom = nom;
		this.usuarises = usuarises;
	}

	// Property accessors
	@Id
	@Column(name = "Id", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Column(name = "Nom", nullable = false, length = 100)
	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "paisos")
	public Set<Usuaris> getUsuarises() {
		return this.usuarises;
	}

	public void setUsuarises(Set<Usuaris> usuarises) {
		this.usuarises = usuarises;
	}

}