package com.selya.store.persistance;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Productecolor entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "productecolor", catalog = "tfc")
public class Productecolor implements java.io.Serializable {

	// Fields

	private ProductecolorId id;
	private Producte producte;
	private Color color;

	// Constructors

	/** default constructor */
	public Productecolor() {
	}

	/** full constructor */
	public Productecolor(ProductecolorId id, Producte producte, Color color) {
		this.id = id;
		this.producte = producte;
		this.color = color;
	}

	// Property accessors
	@EmbeddedId
	@AttributeOverrides({
			@AttributeOverride(name = "producteId", column = @Column(name = "ProducteId", nullable = false)),
			@AttributeOverride(name = "colorId", column = @Column(name = "ColorId", nullable = false)) })
	public ProductecolorId getId() {
		return this.id;
	}

	public void setId(ProductecolorId id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ProducteId", nullable = false, insertable = false, updatable = false)
	public Producte getProducte() {
		return this.producte;
	}

	public void setProducte(Producte producte) {
		this.producte = producte;
	}

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "ColorId", nullable = false, insertable = false, updatable = false)
	public Color getColor() {
		return this.color;
	}

	public void setColor(Color color) {
		this.color = color;
	}
	
	public Productecolor(ProductecolorId id){
		ProductecolorDAO pcDAO  =new ProductecolorDAO();
		Productecolor pc = pcDAO.findById(id);
		setId(pc.getId());
		setProducte(pc.getProducte());
		setColor(pc.getColor());
	}

}