package com.selya.store.persistance;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Productepromocio entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "productepromocio", catalog = "tfc")
public class Productepromocio implements java.io.Serializable {

	// Fields

	private ProductepromocioId id;
	private Producte producte;
	private Promocio promocio;

	// Constructors

	/** default constructor */
	public Productepromocio() {
	}

	/** full constructor */
	public Productepromocio(ProductepromocioId id, Producte producte,
			Promocio promocio) {
		this.id = id;
		this.producte = producte;
		this.promocio = promocio;
	}

	// Property accessors
	@EmbeddedId
	@AttributeOverrides({
			@AttributeOverride(name = "producteId", column = @Column(name = "ProducteId", nullable = false)),
			@AttributeOverride(name = "promocio", column = @Column(name = "Promocio", nullable = false)) })
	public ProductepromocioId getId() {
		return this.id;
	}

	public void setId(ProductepromocioId id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ProducteId", nullable = false, insertable = false, updatable = false)
	public Producte getProducte() {
		return this.producte;
	}

	public void setProducte(Producte producte) {
		this.producte = producte;
	}

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "Promocio", nullable = false, insertable = false, updatable = false)
	public Promocio getPromocio() {
		return this.promocio;
	}

	public void setPromocio(Promocio promocio) {
		this.promocio = promocio;
	}

}