package com.selya.store.persistance;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Wishlist entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "wishlist", catalog = "tfc")
public class Wishlist implements java.io.Serializable {

	// Fields

	private WishlistId id;
	private Producte producte;
	private Usuaris usuaris;

	// Constructors

	/** default constructor */
	public Wishlist() {
	}

	/** full constructor */
	public Wishlist(WishlistId id, Producte producte, Usuaris usuaris) {
		this.id = id;
		this.producte = producte;
		this.usuaris = usuaris;
	}

	// Property accessors
	@EmbeddedId
	@AttributeOverrides({
			@AttributeOverride(name = "producteId", column = @Column(name = "ProducteId", nullable = false)),
			@AttributeOverride(name = "usuariId", column = @Column(name = "UsuariId", nullable = false)) })
	public WishlistId getId() {
		return this.id;
	}

	public void setId(WishlistId id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ProducteId", nullable = false, insertable = false, updatable = false)
	public Producte getProducte() {
		return this.producte;
	}

	public void setProducte(Producte producte) {
		this.producte = producte;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "UsuariId", nullable = false, insertable = false, updatable = false)
	public Usuaris getUsuaris() {
		return this.usuaris;
	}

	public void setUsuaris(Usuaris usuaris) {
		this.usuaris = usuaris;
	}

}