package com.selya.store.persistance;

import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * WishlistId entity. @author MyEclipse Persistence Tools
 */
@Embeddable
public class WishlistId implements java.io.Serializable {

	// Fields

	private long producteId;
	private long usuariId;

	// Constructors

	/** default constructor */
	public WishlistId() {
	}

	/** full constructor */
	public WishlistId(long producteId, long usuariId) {
		this.producteId = producteId;
		this.usuariId = usuariId;
	}

	// Property accessors

	@Column(name = "ProducteId", nullable = false)
	public long getProducteId() {
		return this.producteId;
	}

	public void setProducteId(long producteId) {
		this.producteId = producteId;
	}

	@Column(name = "UsuariId", nullable = false)
	public long getUsuariId() {
		return this.usuariId;
	}

	public void setUsuariId(long usuariId) {
		this.usuariId = usuariId;
	}

	public boolean equals(Object other) {
		if ((this == other))
			return true;
		if ((other == null))
			return false;
		if (!(other instanceof WishlistId))
			return false;
		WishlistId castOther = (WishlistId) other;

		return (this.getProducteId() == castOther.getProducteId())
				&& (this.getUsuariId() == castOther.getUsuariId());
	}

	public int hashCode() {
		int result = 17;

		result = 37 * result + (int) this.getProducteId();
		result = 37 * result + (int) this.getUsuariId();
		return result;
	}

}