package com.selya.store.servlets;

import java.io.IOException;
import java.util.Date;
import java.util.Set;

import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import com.selya.store.persistance.Comentaris;
import com.selya.store.persistance.ComentarisDAO;
import com.selya.store.persistance.Producte;
import com.selya.store.persistance.ProducteDAO;

public class AddComentariServlet extends HttpServlet {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 8110634958090551522L;
	private Logger logger = Logger.getLogger(this.getClass().getName());
	
	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		String username = req.getParameter("username");
		long producteId = Long.parseLong(req.getParameter("producteId"));
		String comentari = req.getParameter("comentari");
		
		Comentaris coment = new Comentaris();
		coment.setUsername(username);
		coment.setComentari(comentari);
		coment.setData(new Date());
		ProducteDAO producteDAO = new ProducteDAO();
		Producte producte = producteDAO.findById(producteId);
		coment.setProducte(producte);
		
		ComentarisDAO comentariDAO = new ComentarisDAO();
		comentariDAO.save(coment);
		
		Set<Comentaris> comments = producte.getComentaris();
		comments.add(coment);
		
		producte.setComentaris(comments);
		producteDAO.save(producte);
		
		ServletOutputStream sos;
		try {
			sos = resp.getOutputStream();
			sos.write("OK".getBytes());
			sos.flush();
		    sos.close();
		} catch (IOException e) {
			logger.error(e.getMessage(),e);
		} 
		
	}

}
