<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<script type="text/javascript">
		function setLanguage(lang){
			$('#language').val(lang);
			if(lang == 'ca_ES'){
				$('#descripcio').val("<s:property value='%{categoria.getDescripcio(\"ca_ES\")}'/>");
			}else if(lang == 'es_ES'){
				$('#descripcio').val("<s:property value='%{categoria.getDescripcio(\'es_ES\')}'/>");
			}else if(lang == 'en_GB'){
				$('#descripcio').val("<s:property value='%{categoria.getDescripcio(\"en_GB\")}'/>");
			}
		}
		$(document).ready(function(){
			$('#formCategories').submit(function(){
				if(jQuery.trim($('#descripcio').val()) == ""){
					$('#errors').append('<s:text name="backoffice.edit.categories.descripcio.missing"/>');
					return false;
				}
			});
		});
	</script>
	<body>
		<div class="container">
			<div>
				<ul class="languageEdit">
					<li><a onclick="setLanguage('ca_ES')" href="#"><s:text name="back.language.catala"/></a></li>
					<li><a onclick="setLanguage('es_ES')" href="#"><s:text name="back.language.castella"/></a></li>
					<li><a onclick="setLanguage('en_GB')" href="#"><s:text name="back.language.angles"/></a></li>
				</ul>
			</div>
			<div id="errors">
			</div>
			<s:form action="save" namespace="/backoffice/categories" id="formCategories">
				<s:hidden name="language" value="ca_ES" id="language"></s:hidden>
				<s:hidden name="categoriaId" value="%{categoria.id}"></s:hidden>
				<s:textfield key="getText('back.home.categories.edit.descripcio')" name="descripcio" value="%{categoria.getDescripcio('ca_ES')}" id="descripcio"></s:textfield>
			</s:form>
			
			<div class="submitButtons">
				<span><a onclick="$('#formCategories').submit()" href="#" class="buttonLike"><s:text name="back.home.global.save"/></a></span>
				<span><s:a action="list" namespace="/backoffice/categories" cssClass="buttonLike"><s:text name="back.global.cancela"/></s:a></span>
				<s:a action="delete/%{categoria.id}" namespace="/backoffice/categories" cssClass="buttonLike"><s:property value="getText('back.home.categories.delete')"/></s:a>
			</div>
		</div>
	</body>
</html>