<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	
	<body>
		<div class="container">
			<s:form action="save" namespace="/backoffice/comandes" id="frmComandes">
				<s:hidden name="comandaId" value="%{comanda.id}"/>
				<s:textfield key="getText('back.home.comandes.edit.id')" name="colorId" readonly="true" value="%{comanda.id}"></s:textfield>
				<s:textfield key="getText('back.home.comandes.edit.usuari')" name="username" value="%{comanda.usuaris.usuari}" readonly="true"></s:textfield>
				<s:select key="getText('back.home.comandes.edit.estat')" list="estats" listKey="id" listValue="descripcio" value="%{comanda.estatcarreto.id}" name="estat"></s:select>
				<s:textfield key="getText('back.home.comandes.edit.formaPagament')" name="formaPagament" value="%{comanda.formapagament.descripcio}" readonly="true"></s:textfield>
				<s:textfield key="getText('back.home.comandes.edit.formaEnviament')" name="formaEnviament" value="%{comanda.formaenviament.descripcio}" readonly="true"></s:textfield>

				<s:if test="%{comanda.carretoproductes != null && comanda.carretoproductes.size() > 0}">
					<h2><s:property value="getText('back.home.comandes.producte')"/> </h2>
					<table  class="producteTable">
						<tr>
							<th><s:property value="getText('back.home.comandes.table.producte.ref')" /></th>
							<th><s:property value="getText('back.home.comandes.table.producte.color')" /></th>
							<th><s:property value="getText('back.home.comandes.table.producte.mida')" /></th>
							<th><s:property value="getText('back.home.comandes.table.producte.quantitat')" /></th>
						</tr>
						<s:iterator value="comanda.carretoproductes" var="cp">
							<tr>
								<td><a href="/Selya/backoffice/product/edit/<s:property value='#cp.producte.ref'/>" target="_blank"><s:property value="#cp.producte.ref" /></a></td>
								<td><s:property value="#cp.color.getDescripcio('ca_ES')" /></td>
								<td><s:property value="#cp.mida" /></td>
								<td><s:property value="#cp.quantitat" /></td>
							</tr>
						</s:iterator>
					</table>
				</s:if>
				<s:submit key="back.home.global.save"/>
			</s:form>
			
			<div class="submitButtons">
				<span><a onclick="$('#frmComandes').submit()" href="#" class="buttonLike"><s:text name="back.home.global.save"/></a></span>
				<span><s:a action="list" namespace="/backoffice/comandes" cssClass="buttonLike"><s:text name="back.global.cancela"/></s:a></span>
				<s:a action="delete/%{comanda.id}" namespace="/backoffice/comandes" cssClass="buttonLike"><s:property value="getText('back.home.comandes.delete')"/></s:a>
			</div>
		</div>
	</body>
</html>