<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<script type="text/javascript">
		function setLanguage(lang){
			$('#language').val(lang);
			if(lang == 'ca_ES'){
				$('#titol').val("<s:property value='%{noticia.getTitol(\"ca_ES\")}'/>");
				$('#entradeta').html("<s:property value='%{noticia.getEntradeta(\"ca_ES\")}'/>");
				$('#entradeta').htmlarea('updateHtmlArea');
				$('#cos').html("<s:property value='%{noticia.getNoticia(\"ca_ES\")}'/>");
				$('#cos').htmlarea('updateHtmlArea');
			}else if(lang == 'es_ES'){
				$('#titol').val("<s:property value='%{noticia.getTitol(\"es_ES\")}'/>");
				$('#entradeta').html("<s:property value='%{noticia.getEntradeta(\"es_ES\")}'/>");
				$('#entradeta').htmlarea('updateHtmlArea');
				$('#cos').html("<s:property value='%{noticia.getNoticia(\"es_ES\")}'/>");
				$('#cos').htmlarea('updateHtmlArea');
			}else if(lang == 'en_GB'){
				$('#titol').val("<s:property value='%{noticia.getTitol(\"en_GB\")}'/>");
				$('#entradeta').html("<s:property value='%{noticia.getEntradeta(\"en_GB\")}'/>");
				$('#entradeta').htmlarea('updateHtmlArea');
				$('#cos').html("<s:property value='%{noticia.getNoticia(\"en_GB\")}'/>");
				$('#cos').htmlarea('updateHtmlArea');
			}
		}
		
		$(document).ready(function(){
			$('#entradeta').htmlarea({
				toolbar: [
				          ["html"],
				          ["bold", "italic", "underline"],
				          ["h1", "h2", "h3", "h4", "h5", "h6"],
				          ["link", "unlink"],
				          ["increasefontsize", "decreasefontsize", "superscript", "subscript"],
				          ["orderedList", "unorderedList", "indent", "outdent", "image"]
				      ]
				  });
			$('#cos').htmlarea({
				toolbar: [
				          ["html"],
				          ["bold", "italic", "underline"],
				          ["h1", "h2", "h3", "h4", "h5", "h6"],
				          ["link", "unlink"],
				          ["increasefontsize", "decreasefontsize", "superscript", "subscript"],
				          ["orderedList", "unorderedList", "indent", "outdent", "image"]
				      ]
				  });
			
			$('#formNoticies').submit(function(){
				var error = false;
				$('#errors').hide();
				if(jQuery.trim($('#titol').val()) == ""){
					$('#errors').append('<s:text name="backoffice.edit.noticies.titol.missing"/><br/>');
					error = true;
				}
				if(jQuery.trim($('#entradeta').val()) == ""){
					$('#errors').append('<s:text name="backoffice.edit.noticies.entradeta.missing"/><br/>');
					error = true;
				}
				if(jQuery.trim($('#cos').val()) == ""){
					$('#errors').append('<s:text name="backoffice.edit.noticies.cos.missing"/>');
					error = true;
				}
				if(error){
					$('#errors').show();
					return false;
				}
			});
		});
	</script>
	<body>
		<div class="container">
			<div>
				<ul class="languageEdit">
					<li><a onclick="setLanguage('en_GB')" href="#"><s:text name="back.language.angles"/></a></li>
					<li><a onclick="setLanguage('es_ES')" href="#"><s:text name="back.language.castella"/></a></li>
					<li><a onclick="setLanguage('ca_ES')" href="#"><s:text name="back.language.catala"/></a></li>
				</ul>
			</div>
			<div id="errors">
			</div>
			<s:form action="save" namespace="/backoffice/noticies" id="formNoticies">
				<s:hidden name="language" value="ca_ES" id="language"></s:hidden>
				<s:hidden name="noticiaId" value="%{noticia.id}"></s:hidden>
				<s:textfield key="getText('back.home.noticies.edit.titol')" name="titol" value="%{noticia.getTitol('ca_ES')}" id="titol"></s:textfield>
				<s:textarea key="getText('back.home.noticies.edit.entradeta')" name="entradeta" value="%{noticia.getEntradeta('ca_ES')}" id="entradeta" cols="50" rows="5"></s:textarea>
				<s:textarea key="getText('back.home.noticies.edit.cos')" name="cos" value="%{noticia.getNoticia('ca_ES')}" id="cos" cols="50" rows="5"></s:textarea>
			</s:form>
			<div class="submitButtons">
				<span><a onclick="$('#formNoticies').submit()" href="#" class="buttonLike"><s:text name="back.home.global.save"/></a></span>
				<span><s:a action="list" namespace="/backoffice/noticies" cssClass="buttonLike"><s:text name="back.global.cancela"/></s:a></span>
				<s:a action="delete/%{noticia.id}" namespace="/backoffice/noticies" cssClass="buttonLike"><s:property value="getText('back.home.noticies.delete')"/></s:a>
			</div>
		</div>
	</body>
</html>