<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	
	<body>
		<div class="container">
			<s:form action="baixa" namespace="/backoffice/usuaris" method="post" id="frmUsuari">
				<s:textfield key="back.usuari.edit.id" readonly="true" name="usuariId" value='%{usuari.id}'></s:textfield><br/>
				<s:textfield key="back.usuari.edit.nom" readonly="true" name="nom" value="%{usuari.nom}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.cognom1" readonly="true" name="cognom1" value="%{usuari.cognom1}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.cognom2" readonly="true" name="cognom2" value="%{usuari.cognom2}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.adreca" readonly="true" name="adreca" value="%{usuari.carrer}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.telefon" readonly="true" name="telefon" value="%{usuari.telefon}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.cp" readonly="true" name="cp" value="%{usuari.cp}">></s:textfield><br/>
				<s:textfield key="back.usuari.edit.poblacio" readonly="true" name="poblacio" value="%{usuari.poblacio}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.provincia" readonly="true" name="provincia" value="%{usuari.provincia}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.pais" readonly="true" name="provincia" value="%{usuari.paisos.nom}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.email" readonly="true" name="email" value="%{usuari.email}"></s:textfield><br/>
				<s:textfield key="back.usuari.edit.username" readonly="true" name="username" value="%{usuari.usuari}"></s:textfield><br/>
				
				<s:if test="comandes != null && comandes.size() >0">
					<h2><s:property value="getText('back.usuari.edit.comandes')"/> </h2>
					<table class="producteTable">
						<tr>
							<th><s:property value='getText("back.usuari.taula.comandes.id")'/></th>
							<th><s:property value='getText("back.usuari.taula.comandes.data")'/></th>
							<th><s:property value='getText("back.usuari.taula.comandes.estat")'/></th>
							<th><s:property value='getText("back.usuari.taula.comandes.import")'/></th>
						</tr>
						<s:iterator value="comandes">
						<tr>
							<td><s:property value='%{id}'/></td>
							<td><s:property value='%{dataModificacio}'/></td>
							<td><s:property value='%{estatcarreto.descripcio}'/></td>
							<s:action name="preu" namespace="/backoffice/comandes" var="preu">
								<s:param name="comandaId" value='<s:property value="%{id}"/>'/>
							</s:action>
							<td><s:property value='%{preu}'/></td>
						</tr>
						</s:iterator>
					</table>
				</s:if>
			</s:form>
			<div class="submitButtons">
				<span><a onclick="$('#frmUsuari').submit()" href="#" class="buttonLike"><s:text name="back.usuari.baixa"/></a></span>
				<span><s:a action="list" namespace="/backoffice/usuaris" cssClass="buttonLike"><s:text name="back.global.cancela"/></s:a></span>
			</div>
		</div>
	</body>
</html>