<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ include file="../global/init.jsp" %>

<html>
	<head>
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<script type="text/javascript">
		$(document).ready(function(){
			$('#formUpdateCarreto').submit(function(){
				$('#editCarreto input').each(function(){
					var value = $('#productsToUpdate').val();
					var name= this.getAttribute("name");
					var quantitat = $('input[name="'+this.getAttribute("name")+'"]').val();
					$('#productsToUpdate').val(value+name+"@"+quantitat+"#");
				});
			});
		});
	</script>
	<body>
		<s:if test="%{carreto.carretoproductes != null && carreto.carretoproductes.size > 0}">
			<table class="carreto" id="editCarreto">
				<tr>
					<th>
						<s:text name="front.selya.store.carreto.header.quantitat"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.imatge"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.ref"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.titol"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.color"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.size"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.preu"/>
					</th>
				</tr>
				<s:url value='/front/resources/image/trash.jpg' var="trash"/>
				<s:iterator value="carreto.carretoproductes" var="carretoProducte">
					<tr>
						<td align="center">
							<input type="text" value="<s:property value='#carretoProducte.quantitat'/>" name="<s:property value='#carretoProducte.producte.ref'/>" style="width:1.3em;"/>
						</td>
						<td align="center">
							<img src='/Selya<s:property value="#carretoProducte.producte.imatge1"/>' style="height:100px;">
						</td>
						<td>
							<s:property value="#carretoProducte.producte.ref"/>
						</td>
						<td align="center">
							<s:property value="#carretoProducte.producte.getTitol(#session.language)"/>
						</td>
						<td align="center">
							<s:property value="#carretoProducte.color.getDescripcio(#session.language)"/>
						</td>
						<td align="center">
							<s:property value="#carretoProducte.mida"/>
						</td>
						<td align="center">
							<s:property value="#carretoProducte.producte.preuPromocionat()"/>
						</td>
						<td>
							<s:url action="delete" namespace="/carreto" var="deleteUrl">
								<s:param name="producteId" value="#carretoProducte.producte.id"/>
							</s:url>
							<a href="<s:property value='#deleteUrl'/>"><img src="<s:property value='#trash'/>"></a>
						</td>
					</tr>
				</s:iterator>
				<tr>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td  align="center">
						<s:text name="front.selya.store.carreto.lateral.total"/>
					</td>
					<td  align="center">
						<s:property value="%{carreto.getPreuCarreto()}"/>
					</td>
				</tr>
			</table>
			<s:form action="update" namespace="/carreto" id="formUpdateCarreto">
				<s:hidden name="productsToUpdate" id="productsToUpdate"/>
				<s:submit key="front.selya.store.carreto.actualitza"/>
			</s:form>
			<s:a action="validar" cssClass="buttonLike"><s:text name="front.selya.ctore.carreto.valida"/></s:a>
		</s:if>
		<s:else>
			<s:text name="front.selya.store.carreto.empty"/>
		</s:else>
	</body>
</html>