<%@page import="java.text.DecimalFormat"%>
<%@page import="com.selya.store.persistance.Carreto"%>
<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ include file="../global/init.jsp" %>

<html>
	<head>
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<script type="text/javascript">
		$(document).ready(function(){
			$('input[name="formaPagament"]').change(function(){
				if($('input[name="formaPagament"]:checked').val() == 1){
					$('#paypalForm').css('display','block');
					$('#btnComprar').css('display','none');
				}else{
					$('#paypalForm').css('display','none');
					$('#btnComprar').css('display','block');
				}
			});
			if($('input[name="formaPagament"]:checked').val() == 1){
				$('#paypalForm').css('display','block');
				$('#btnComprar').css('display','none');
			}
		});
	</script>
	<body>
		<s:if test="%{carreto.carretoproductes != null && carreto.carretoproductes.size > 0}">
			<table class="carreto" id="editCarreto">
				<tr>
					<th>
						<s:text name="front.selya.store.carreto.header.quantitat"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.imatge"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.ref"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.titol"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.color"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.size"/>
					</th>
					<th>
						<s:text name="front.selya.store.carreto.header.preu"/>
					</th>
				</tr>
				<s:url value='/front/resources/image/trash.jpg' var="trash"/>
				<s:iterator value="carreto.carretoproductes" var="carretoProducte">
					<tr>
						<td align="center">
							<s:property value='#carretoProducte.quantitat'/>
						</td>
						<td align="center">
							<img src='/Selya<s:property value="#carretoProducte.producte.imatge1"/>' style="height:100px;">
						</td>
						<td>
							<s:property value="#carretoProducte.producte.ref"/>
						</td>
						<td align="center">
							<s:property value="#carretoProducte.producte.getTitol(#session.language)"/>
						</td>
						<td align="center">
							<s:property value="#carretoProducte.color.getDescripcio(#session.language)"/>
						</td>
						<td align="center">
							<s:property value="#carretoProducte.mida"/>
						</td>
						<td align="center">
							<s:property value="#carretoProducte.producte.preuPromocionat()"/>€
						</td>
					</tr>
				</s:iterator>
				<tr>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td  align="center">
						<s:text name="front.selya.store.carreto.iva"/>
					</td>
					<td  align="center">
						<% 
						Carreto car = (Carreto)request.getAttribute("carreto");
						double iva = car.getPreuCarreto() - (car.getPreuCarreto()/1.18);
						DecimalFormat df = new DecimalFormat("0.00");
						%>
						<%=df.format(iva) %>€
					</td>
				</tr>
				<tr>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td  align="center">
						<s:text name="front.selya.store.carreto.lateral.subtotal"/>
					</td>
					<td  align="center">
						<s:property value="%{carreto.getPreuCarreto()}"/>€
					</td>
				</tr>
				<tr>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td  align="center">
						<s:text name="front.selya.store.carreto.transport"/>
					</td>
					<td  align="center" id="preuTransport">
						6€
					</td>
				</tr>
				<tr>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td  align="center">
						<s:text name="front.selya.store.carreto.total"/>
					</td>
					<td  align="center">
						<s:property value="%{carreto.getPreuCarreto()+6}"/>€
					</td>
				</tr>
			</table>
			<s:form action="pagament">
				<s:radio list="formesEnviament" name="formaEnviament" key="front.selya.store.carreto.forma.enviament" listKey="id" listValue="descripcio" value="1"/><br/>
				<s:radio list="formesPagament" name="formaPagament" key="front.selya.store.carreto.forma.pagament" listKey="id" listValue="descripcio" value="1"/><br/><br/>
				<s:submit key="front.selya.ctore.carreto.pagar"/>
			</s:form>
			<s:include value="/front/jsp/carreto/pagament_paypal.jsp"/>
		</s:if>
		<s:else>
			<s:text name="front.selya.store.carreto.empty"/>
		</s:else>
	</body>
</html>