<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ include file="./global/init.jsp" %>

<html>
	<head>
		<script type="text/javaScript" src="/front/resources/js/cloud-carousel.1.0.5.min.js"></script>
	</head>
	<script type="text/javascript">
		$(document).ready(function(){
			   
			$("#carousel1").CloudCarousel(		
				{			
					xPos: 128,
					yPos: 32,
					buttonLeft: $("#left-but"),
					buttonRight: $("#right-but"),
					autoRotate: 'right',
					xPos: 275,
					speed: 0.1,
					FPS: 40,
					autoRotateDelay: 3000
				}
			);
		});
	</script>
	<body>
		<div class="content">
			<s:if test="productes != null && productes.size() >0">
				<div class="carouselDiv">
					 <h1><s:text name="selya.store.front.home.novetats"></s:text></h1>
			        <div id = "carousel1" class="carousel">            
			            <s:iterator value="productes" var="producte">
			            	<s:url value="%{imatge1}" var="imgUrl"/>
			            	<s:a action="producte/%{ref}" namespace="/productes">
			            		<img class = "cloudcarousel" src="<s:property value='#imgUrl'/>" alt="<s:property value='#producte.ref'/>" title="<s:property value='#producte.getTitol(#session.language)'/>" />
			            	</s:a>
			            </s:iterator>
			        </div>
			        <div id="left-but" class="carouselLeft"></div>
					<div id="right-but" class="carouselRight"></div>
			        
		        </div>
	        </s:if>
	        <div class="newsDiv">
	        	<s:iterator value="noticies" var="noti">
	        		<h1><s:property value="#noti.getTitol(#session.language)"/></h1>
	        		<p><s:property escapeHtml="true" value="#noti.getNoticia(#session.language)"/></p>
	        	</s:iterator>
	        </div>
		</div>
	</body>
</html>