<%@page import="java.util.Date"%>
<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ include file="../global/init.jsp" %>
<html>
	<script type="text/javascript">

		function sendComentari(){
			var action = "<s:url action='saveComentari' namespace='/servlet'></s:url>";
			var username = $('#comentariForm input[name="username"]').val();
			var producteId = $('#comentariForm input[name="productId"]').val();
			var comentari = $('#comentariForm textarea').val();
			if(comentari != null && jQuery.trim(comentari).length > 0){
				$.ajax({
					url: action,
					type: "POST",
					data: ( {username : username, producteId: producteId, comentari: comentari} ),
					dataType: "html",
					success: function(msg){
						if(msg == 'OK'){
							$('#comentaris').append('<div class="comentari"><p class="infoComentari">'+username+'<br/><span class="data"><%=new Date()%></span></p><p class="textComentari">'+comentari+'</p></div>');
							$('#comentariForm input[name="username"]').val('');
							$('#comentariForm input[name="productId"]').val('');
							$('#comentariForm textarea').val('');
						}
					},
					error: function(msg){
					}
				});
			}
		}
		
		function addWishList(){
			var action = "<s:url action='addWishList' namespace='/servlet'></s:url>";
			var producteId = $('#addChartForm input[name="producteId"]').val();

			$.ajax({
				url: action,
				type: "GET",
				data: ( {producteId : producteId} ),
				dataType: "html",
				success: function(msg){
					if(msg == 'OK'){
						var result = "<s:text name='front.selya.store.wishList.added'/>";
						alert(result);
					}else{
						var result = "<s:text name='front.selya.store.wishList.added.previously'/>";
						alert(result);
					}
				},
				error: function(msg){
				}
			});
		}
		
		$(document).ready(function(){
			$("#imgDialog").dialog({ autoOpen: false, modal: true, resizable: false, position: "left"});
			$('#url').val('<%=request.getRequestURI()%>');
			
			$('#addChartForm').submit(function(){
				var color = $('#addChartForm select').val();
				var mida = $('#addChartForm input[name="mida"]').val();
				var quantitat = $('#addChartForm input[name="quantitat"]').val();
				var msg = "";
				
				if(color < 1){
					msg = "<s:text name='front.producte.detail.color.empty'/>";
					alert(msg);
					return false;
				}
				if(mida.length < 1){
					msg = "<s:text name='front.producte.detail.mida.empty'/>";
					alert(msg);
					return false;
				}
				if(quantitat.length < 1){
					msg = "<s:text name='front.producte.detail.quantitat.empty'/>";
					alert(msg);
					return false;
				}
				
				return true;
			});
		});
		
		function imgInFull(img){
			var src = "";
			if(img == 'img1')
				src = "/Selya<s:property value='%{producte.imatge1}'/>";
			else if(img == 'img2')
				src = "/Selya<s:property value='%{producte.imatge2}'/>";
			else if(img == 'img3')
				src = "/Selya<s:property value='%{producte.imatge3}'/>";
			$('#dialogImg').attr('src',src);
			$('#imgDialog').dialog("open");
		}
	</script>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<body>
		<div id="imgDialog"><img src="" id="dialogImg"> </div>
		<div class="content">
			<div class="imgProducte">
				<s:url value="%{producte.imatge1}" var="img1URL"/>
				<p><a href="#" onclick="javascript:imgInFull('img1')"><img src='<s:property value='#img1URL'/>' style="height:200px;" class="img1"/></a></p>
				<s:url value="%{producte.imatge2}" var="img2URL"/>
				<a href="#" onclick="javascript:imgInFull('img2')"><img src='<s:property value='#img2URL'/>' style="height:100px;" class="img2"/></a>
				<s:url value="%{producte.imatge3}" var="img3URL"/>
				<a href="#" onclick="javascript:imgInFull('img3')"><img src='<s:property value='#img3URL'/>' style="height:100px;" class="img3"/></a>
			</div>
			<s:hidden name="url" value="" id="url"/>
			<s:text name="front.selya.store.producte.detail.ref"/> <s:property value="%{producte.ref}" /><br/><br/>
			<s:text name="front.selya.store.producte.detail.titol"/> <s:property value="%{producte.getTitol(#session.language)}" /><br/><br/>
			<p style="text-align:justify;width: 37.5em;"><s:text name="front.selya.store.producte.detail.descripcio"/> <s:property value="%{producte.getDescripcio(#session.language)}" escapeHtml="false"/></p><br/>
			<div class="productDetailExtras">
				<s:if test="%{producte.isPromocionat()}">
					<s:text name="front.selya.store.producte.detail.preu"/> <span style="text-decoration:line-through;"><s:property value="%{producte.preu}"/></span><s:text name="selya.global.moneda"/> <span style="color:red;"><s:text name="front.selya.store.producte.detail.preu.promocionat"></s:text> <s:property value="%{producte.preuPromocionat()}" /><s:text name="selya.global.moneda"/></span><br/>
				</s:if><s:else>
					<s:text name="front.selya.store.producte.detail.preu"/> <s:property value="%{producte.preuPromocionat()}"/><s:text name="selya.global.moneda"/><br/>
				</s:else>
				<s:text name="front.selya.store.producte.detail.stock"/> <s:property value="%{producte.stock}" /><br/>
				<s:form action="addProducte" namespace="/carreto" id="addChartForm">
					<s:hidden name="producteId" value="%{producte.id}"/>
					<s:select name="color" list="colors" listValue="getDescripcio(#session.language)" listKey="id" headerKey="-1" headerValue="%{getText('front.producte.detail.color.select')}" key="front.producte.detail.color" />
					<s:textfield name="mida" key="front.producte.detail.mida"/>
					<s:textfield name="quantitat" key="front.producte.detail.quantitat"/>
					<s:submit key="front.producte.detail.add.cart"/>
				</s:form>
				<s:if test="usuari != null">
					<a href="#" onclick="addWishList()"><s:text name="front.selya.store.producte.wishList"/></a><br/>
				</s:if>
				<s:a action="personalitzacions/%{producte.ref}" namespace="/productes"><s:text name="front.selya.store.producte.personalitzacions"/></s:a>
			
				<br/><br/>
				<s:url action="valorar" namespace="/productes" var="puntuarUrl">
					<s:param name="producteId" value="%{producte.id}"/>
				</s:url>
				<span style="text-decoration:none;">
					<s:if test="%{producte.getValoracio()>0}">
						<a href="<s:property value='puntuarUrl'/>&puntuacio=1"><img src="<s:url value='/front/resources/image/estrella_groga.jpg'/>"/></a>
					</s:if><s:else>
						<a href="<s:property value='puntuarUrl'/>&puntuacio=1"><img src="<s:url value='/front/resources/image/estrella_blanca.jpg'/>"/></a>
					</s:else>
					<s:if test="%{producte.getValoracio()>1}">
						<a href="<s:property value='puntuarUrl'/>&puntuacio=2"><img src="<s:url value='/front/resources/image/estrella_groga.jpg'/>"/></a>
					</s:if><s:else>
						<a href="<s:property value='puntuarUrl'/>&puntuacio=2"><img src="<s:url value='/front/resources/image/estrella_blanca.jpg'/>"/></a>
					</s:else>
					<s:if test="%{producte.getValoracio()>2}">
						<a href="<s:property value='puntuarUrl'/>&puntuacio=3"><img src="<s:url value='/front/resources/image/estrella_groga.jpg'/>"/></a>
					</s:if><s:else>
						<a href="<s:property value='puntuarUrl'/>&puntuacio=3"><img src="<s:url value='/front/resources/image/estrella_blanca.jpg'/>"/></a>
					</s:else>
					<s:if test="%{producte.getValoracio()>3}">
						<a href="<s:property value='puntuarUrl'/>&puntuacio=4"><img src="<s:url value='/front/resources/image/estrella_groga.jpg'/>"/></a>
					</s:if><s:else>
						<a href="<s:property value='puntuarUrl'/>&puntuacio=4"><img src="<s:url value='/front/resources/image/estrella_blanca.jpg'/>"/></a>
					</s:else>
					<s:if test="%{producte.getValoracio()>4}">
						<a href="<s:property value='puntuarUrl'/>&puntuacio=5"><img src="<s:url value='/front/resources/image/estrella_groga.jpg'/>"/></a>
					</s:if><s:else>
						<a href="<s:property value='puntuarUrl'/>&puntuacio=5"><img src="<s:url value='/front/resources/image/estrella_blanca.jpg'/>"/></a>
					</s:else>
				</span>
			</div>
			<br/><br/>
			<div class="comentaris">
				<h1><s:text name="front.producte.detail.comentaris"></s:text> </h1>
				<s:form action="saveComentari" namespace="/servlet" id="comentariForm">
					<s:hidden name="productId" value="%{producte.id}"/>
					<s:if test="usuari != null">
						<s:hidden name="username" value="%{usuari.usuari}"/>
					</s:if>
					<s:else>
						<s:hidden name="username" value="Anonim"/>
					</s:else>
					<s:textarea cols="50" rows="5" name="comentari" id="comentari"/>
				</s:form>
				<a href="#" onclick="sendComentari()" class="buttonLike"><s:text name="front.producte.detail.comentari.envia"/></a>
				<div id="comentaris">
					<s:iterator value="comentaris" var="comment">
						<div class="comentari">
							<p class="infoComentari">
								<s:property value="#comment.username"/><br>
								<span class="data"><s:property value="#comment.data"/></span>
							</p>
							<p class="textComentari">
								<s:property value="#comment.comentari"/>
							</p>
						</div>
					</s:iterator>
				</div>
			</div>
		</div>
	</body>
</html>