<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ include file="../global/init.jsp" %>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<body>
		<div class="sitemap">
			<div class="col1">
				<s:url action="contact" namespace="/contacta" var="url"/>
				<h2><a href="<s:property value='#url'/>"><s:property value="getText('front.home.menu.contacte')" /></a></h2>
				
				<h2><s:a action="confidencialitat" namespace="/"><s:text name="front.confidencialitat.label"/></s:a></h2>
				
				<h2><s:a action="condicions_us" namespace="/"><s:text name="front.condicions.us.label"/></s:a></h2>
				
			</div>
			<div class="col2">
				<h2><s:text name="front.home.menu.categories"/></h2>
				<ul style="list-style: inside;">
					<s:iterator value="categories" var="categ">
						<li><s:a action="categoria/%{id}" namespace="/productes"><s:property value="#categ.getDescripcio(#session.language)"/></s:a></li>
					</s:iterator>
				</ul>
			</div>
			<div class="col3">
				<h2><s:text name="front.home.menu.productes"/></h2>
				<ul style="list-style: inside;">
					<s:iterator value="productes" var="prod">
						<li><s:a action="producte/%{ref}" namespace="/productes"><s:property value="#prod.getTitol(#session.language)" /></s:a></li>
					</s:iterator>
				</ul>
			</div>
		</div>
	</body>
</html>