<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<script type="text/javascript">
		
		var form = "#savingForm";
		var nom = "#nom";
		var cognom1 = "#cognom1";
		var adreca = "#adreca";
		var cp = "#cp";
		var dni = "#dni";
		var poblacio = "#poblacio";
		var pais = "#pais";
		var email = "#email";
		var emailValidate = "#emailValidate";
		var username = "#username";
		var password = "#password";
		var password2 = "#password2";
		var errorMessage = "#errorMessage";
		var errorList = "#listaErrores";
		var errorMessageDialog = "#errorMessageDialog";
		$(function() {
			$(errorMessage).hide();
		});
		
		function isValidForm(){
			
			var validForm = true;
			clearErrors($(errorList));
			
			if($(nom).val().trim().length == 0){ 					printError($(nom),"<s:text name='new.user.nom.empty'/>",$(errorList));									validForm = false;}
			if($(cognom1).val().trim().length == 0){ 				printError($(cognom1),"<s:text name='new.user.cognom1.empty'/>",$(errorList));							validForm = false;}
			if($(adreca).val().trim().length == 0){ 				printError($(adreca),"<s:text name='new.user.adreca.empty'/>",$(errorList));							validForm = false;}
			if($(cp).val().trim().length == 0){ 					printError($(cp),"<s:text name='new.user.cp.empty'/>",$(errorList));									validForm = false;}
			if($(dni).val().trim().length < 9){ 					printError($(dni),"<s:text name='new.user.dni.format'/>",$(errorList));									validForm = false;}
			else if(!validarNif($(dni).val())){						printError($(dni),"<s:text name='new.user.dni.format'/>",$(errorList));									validForm = false;}
			if($(poblacio).val().trim().length == 0){ 				printError($(poblacio),"<s:text name='new.user.poblacio.empty'/>",$(errorList));						validForm = false;}
			if($(pais).val() == -1){ 								printError($(pais),"<s:text name='new.user.pais.empty'/>",$(errorList));								validForm = false;}
			if($(email).val().trim().length == 0){ 					printError($(email),"<s:text name='new.user.email.empty'/>",$(errorList));								validForm = false;}
			else if(!isEmail($(email).val())){ 						printError($(email),"<s:text name='new.user.email.format'/>",$(errorList));								validForm = false;}
			else if($(emailValidate) == ''){						printError($(emailValidate),"<s:text name='new.user.emailvalidate.empty'/>",$(errorList));				validForm = false;}
			else if($(email).val() != $(emailValidate).val()){		printError($(emailValidate),"<s:text name='registro1.error.emailvalidate.not.equals'/>",$(errorList));	validForm = false;}
			if($(username).val().trim().length == 0){				printError($(username),"<s:text name='new.user.username.empty'/>",$(errorList));						validForm = false;}
			if($(password).val().trim().length == 0){				printError($(password),"<s:text name='new.user.password.empty'/>",$(errorList));						validForm = false;}
			else if($(password).val() != $(password2).val()){		printError($(password),"<s:text name='new.user.passwords.not.equal'/>",$(errorList));					validForm = false;}
			
			return validForm;
		}
		
		function executeForm(){
			if(isValidForm()){
				$(errorMessage).hide();					
				$(form).submit();
			}else{
				$(errorMessage).show();
			}
		}
		
	
		function isEmailUsed(){
			var action = "<s:url action='validateMailServlet' namespace='/servlet'></s:url>";
			var login = $(email).val();
			
			$.ajax({
				url: action,
				type: "GET",
				data: ( {mail : login} ),
				dataType: "html",
				success: function(msg){
					if(msg == 'Usat'){
						$(email).val('');
						var message = "<s:text name='selya.error.user.email.used'/>";
						alert(message);
					}
				},
				error: function(msg){
				}
			});
		}
	</script>
	<body>
		<h1><s:property value="new.user.page"/> </h1>
		<div id="errorMessageDialog"></div>
	
		<div id="errorMessage">
			<p><strong id="error"><s:text name="registro1.error.general"/></strong></p>
			<ul id="listaErrores"></ul>
		</div>
		
		<s:form action="save" namespace="/usuari" id="savingForm" autocomplete="off">
			<s:hidden name="id" value="%{usuari.id}" />
			<s:textfield key="front.user.edit.email" name="email" value="%{usuari.email}" id="email" onblur="isEmailUsed()"/>
			<s:textfield key="front.user.edit.emailValidate" id="emailValidate"/>
			<s:textfield key="front.user.edit.username" name="username" value="%{usuari.usuari}" id="username"/>
			<s:password key="front.user.edit.password" name="password" value="%{usuari.psw}" id="password"/>
			<s:password key="front.user.edit.repeat.password" value="%{usuari.psw}" id="password2"/>
			<s:textfield key="front.user.edit.name" name="nom" value="%{usuari.nom}" id="nom"/>
			<s:textfield key="front.user.edit.cognom1" name="cognom1" value="%{usuari.cognom1}" id="cognom1"/>
			<s:textfield key="front.user.edit.cognom2" name="cognom2" value="%{usuari.cognom2}" id="cognom2"/>
			<s:textfield key="front.user.edit.adreca" name="adreca" value="%{usuari.carrer}" id="adreca"/>
			<s:textfield key="front.user.edit.dni" name="dni" value="%{usuari.dni}" id="dni"/>
			<s:textfield key="front.user.edit.cp" name="cp" value="%{usuari.cp}" id="cp"/>
			<s:textfield key="front.user.edit.poblacio" name="poblacio" value="%{usuari.poblacio}" id="poblacio"/>
			<s:textfield key="front.user.edit.provincia" name="provincia" value="%{usuari.provincia}" id="provincia"/>
			<s:select key="front.user.edit.paisos" list="paisos" name="pais" listKey="id" listValue="nom" value="%{usuari.paisos.id}" headerKey="-1" headerValue='%{getText("front.user.edit.paisos.triar")}' id="pais"/>
			<s:textfield key="front.user.edit.telefon" name="telefon" value="%{usuari.telefon}" id="telefon"/>
		</s:form>
		<div class="btnDiv"><a onclick="executeForm()" href="#" title="" class="buttonLike"><s:text name="front.user.edit.submit"></s:text></a></div>
	</body>
</html>