<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ include file="../global/init.jsp" %>

<html>
	<head>	
		<META name="decorator" content="<s:property value="decorator"/>">
	</head>
	<body>
		<s:if test="usuari.wishlists != null && usuari.wishlists.size() >0">
		<s:iterator value="usuari.wishlists" var="wishlist">
				<div class="producte">
					<div class="imgProducte">
						<s:a action="producte/%{producte.ref}" namespace="/productes"><img src="/Selya<s:property value="#wishlist.producte.imatge1"/>" style="height:200px;"/></s:a>
					</div>
					<p><s:a action="producte/%{producte.ref}" namespace="/productes"><s:property value="#wishlist.producte.ref" /></s:a></p>
					<p class="titol"><s:property value="#wishlist.producte.getTitol(#session.language)" /></p>
					<p class="descripcio"><s:property value="#wishlist.producte.getDescripcio(#session.language)" escapeHtml="false"/></p>
					<p class="stock"><s:text name="front.selya.store.usuari.wishlist.stock"/><s:property value="#wishlist.producte.stock" escapeHtml="false"/></p>
					<s:url action="eliminar" namespace="/wishList" var="delete" escapeAmp="false">
						<s:param name="producteId" value="%{producte.id}"/>
						<s:param name="userId" value="usuari.id"/>
					</s:url>
					<a href="<s:property value='#delete'/>"><s:text name="front.selya.store.usuari.wishlist.delete"/></a>
				</div>
		</s:iterator>
		</s:if>
		<s:else>
			<div class="wishlistEmpty">
				<s:text name="front.selya.store.wishlist.empty"></s:text>
			</div>
		</s:else>
	</body>
</html>