package com.selya.store.back.action;

import java.util.List;

import com.selya.store.global.action.BaseAction;
import com.selya.store.persistance.Color;
import com.selya.store.persistance.ColorDAO;

public class ColorsAction extends BaseAction {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3955456489012869388L;
	private List<Color> colors;
	private Color color;
	private int colorId;
	private String descripcio;
	
	private String language;
	
	@Override
	public void prepare() throws Exception {
		super.prepare();
	}
	
	@SuppressWarnings("unchecked")
	public String list(){
		
		ColorDAO cDAO = new ColorDAO();
		colors = cDAO.findAll();
		colors = getResultsByPage(colors);
		
		return SUCCESS;
	}
	
	public String edit(){
		
		ColorDAO cDAO = new ColorDAO();
		color = cDAO.findById(colorId);
		
		return SUCCESS;
	}
	
	public String save(){
		
		ColorDAO cDAO = new ColorDAO();
		if(colorId > 0){
			color = cDAO.findById(colorId);
		}else{
			color = new Color();
		}
		color.setDescripcio(language, descripcio);
		cDAO.save(color);
		
		return SUCCESS;
	}
	
	public String delete(){
		ColorDAO cDAO = new ColorDAO();
		color = cDAO.findById(colorId);
		cDAO.delete(color);
		
		return SUCCESS;
	}

	public List<Color> getColors() {
		return colors;
	}

	public void setColors(List<Color> colors) {
		this.colors = colors;
	}

	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public int getColorId() {
		return colorId;
	}

	public void setColorId(int colorId) {
		this.colorId = colorId;
	}

	public String getDescripcio() {
		return descripcio;
	}

	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

}
