package com.selya.store.front.action;

import java.util.List;

import com.selya.store.global.action.BaseAction;
import com.selya.store.persistance.Categories;
import com.selya.store.persistance.CategoriesDAO;
import com.selya.store.persistance.Noticies;
import com.selya.store.persistance.NoticiesDAO;
import com.selya.store.persistance.Producte;
import com.selya.store.persistance.ProducteDAO;

public class HomeAction extends BaseAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5609572715639646540L;
	private List<Producte> productes;
	private List<Noticies> noticies;
	private List<Categories> categories;
	private String idioma;
	
	public String home(){
		ProducteDAO producteDAO = new ProducteDAO();
		productes = producteDAO.carrousel();
		NoticiesDAO noticiesDAO = new NoticiesDAO();
		noticies = noticiesDAO.lastNews();
		
		return SUCCESS;
	}
	
	@SuppressWarnings("unchecked")
	public String sitemap(){
		ProducteDAO producteDAO = new ProducteDAO();
		productes = producteDAO.findAll();
		CategoriesDAO categoriesDAO = new CategoriesDAO();
		categories = categoriesDAO.findAll();
		
		return SUCCESS;
	}
	
	public String setLanguage(){
		super.setLanguage(idioma);
		return SUCCESS;
	}

	public List<Producte> getProductes() {
		return productes;
	}

	public void setProductes(List<Producte> productes) {
		this.productes = productes;
	}

	public List<Noticies> getNoticies() {
		return noticies;
	}

	public void setNoticies(List<Noticies> noticies) {
		this.noticies = noticies;
	}

	public String getIdioma() {
		return idioma;
	}

	public void setIdioma(String language) {
		this.idioma = language;
	}

	public List<Categories> getCategories() {
		return categories;
	}

	public void setCategories(List<Categories> categories) {
		this.categories = categories;
	}
}
