package com.selya.store.front.action;

import com.selya.store.global.action.BaseAction;
import com.selya.store.persistance.Usuaris;
import com.selya.store.persistance.UsuarisDAO;

public class LoginAction extends BaseAction {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -6134256695563334199L;
	private String username;
	private String password;

	public String execute() throws Exception {
		  System.out.println("Validating login");
		  Usuaris usuari = new UsuarisDAO().loginUser(username, password);
		  if(usuari != null)
			  return SUCCESS;
		  else{
			  addActionError("Invalid user name or password! Please try again!");
			  return ERROR;
		  }
		  
	  }

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

}

