package com.selya.store.global.utils;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

import org.apache.log4j.Logger;

public class StringUtils {
	
	private static Logger logger = Logger.getLogger("StringUtils");
	
	public static final synchronized String hash(String data)
    {
		MessageDigest digest = null;
		try{
            digest = MessageDigest.getInstance("MD5");
		}catch(NoSuchAlgorithmException nsae){
			logger.error("Failed to load the MD5 MessageDigest. Jive will be unable to function normally.");
			logger.error("",nsae);
        }
		try{
            digest.update(data.getBytes("ISO-8859-1"));
        }
		catch(UnsupportedEncodingException e){
			logger.error("",e);
        }
        return encodeHex(digest.digest());
    }
	
	public static final String encodeHex(byte bytes[]){
        StringBuffer buf = new StringBuffer(bytes.length * 2);
		for(int i = 0; i < bytes.length; i++){
            if((bytes[i] & 0xff) < 16)
                buf.append("0");
            buf.append(Long.toString(bytes[i] & 0xff, 16));
        }

        return buf.toString();
    }
	
	public static boolean isNotNull(String s){
		if(s.trim().length()>0) return true;
		return false;
	}

}
