package com.selya.store.servlets;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import com.selya.store.persistance.UsuarisDAO;

public class ValidateMailServlet extends HttpServlet {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2864109375116778583L;
	private Logger logger = Logger.getLogger(this.getClass().getName());
	
	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		String email = req.getParameter("mail");
		UsuarisDAO uDAO = new UsuarisDAO();
		String result = "";
		if(uDAO.findByEmail(email).size() > 0)
			result = "Usat";
		else
			result = "Lliure";
		
		ServletOutputStream sos = resp.getOutputStream();                
	    
	    try { sos.write(result.getBytes()); } 
	    catch (IOException ioe) { logger.error(ioe); }
	    
	    sos.flush();
	    sos.close();
		
	}
	
	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		doGet(req, resp);
	}

}
